%define anolis_release 2

Name: devhelp
Epoch: 1
Version: 43.0
Release: %{anolis_release}%{?dist}
Summary: API documentation browser

License: GPLv3+
URL: https://wiki.gnome.org/Apps/Devhelp
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: gettext
BuildRequires: gi-docgen
BuildRequires: gobject-introspection-devel
BuildRequires: itstool
BuildRequires: meson >= 0.57
BuildRequires: /usr/bin/appstream-util
BuildRequires: pkgconfig(gio-2.0) >= 2.64
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.22
BuildRequires: pkgconfig(webkit2gtk-4.1)

Requires: %{name}-libs = %{EVR}

%description
Devhelp is an API documentation browser for the GNOME desktop.
It works natively with API documentation generated by gtk-doc.

%package libs
Summary: Library to embed Devhelp in other applications

%description libs
Devhelp is an API documentation browser for the GNOME desktop.
This package contains a library that can be used for embedding devhelp
into other applications such as IDEs.

%package devel
Summary: Library to embed Devhelp in other applications - Development files
Requires: %{name} = %{EVR}
Requires: %{name}-libs = %{EVR}

%description devel
Devhelp is an API documentation browser for the GNOME desktop.
This package contains the development files for the library that can be used
for embedding devhelp into other applications such as IDEs.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
    -Dflatpak_build=false \
    -Dgtk_doc=true \
    -Dplugin_gedit=true \
    %{nil}

%meson_build

%install
%meson_install

%find_lang devhelp --with-gnome

%generate_compatibility_deps

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/metainfo/org.gnome.Devhelp*.appdata.xml

%files
%license LICENSES/*
%{_bindir}/devhelp
%{_datadir}/applications/org.gnome.Devhelp*.desktop
%{_datadir}/dbus-1/services/org.gnome.Devhelp*.service
%{_datadir}/devhelp/
%{_datadir}/glib-2.0/schemas/org.gnome.devhelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Devhelp*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Devhelp*-symbolic.svg
%{_datadir}/metainfo/org.gnome.Devhelp*.appdata.xml
%dir %{_libdir}/gedit
%dir %{_libdir}/gedit/plugins
%{_libdir}/gedit/plugins/devhelp.*
%{_mandir}/man1/devhelp.1*

%files libs -f devhelp.lang
%dir %{abidir}
%{_libdir}/libdevhelp-3.so.6*
%{abidir}/libdevhelp-3.dump
%{_libdir}/girepository-1.0/Devhelp-3.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.libdevhelp-3.gschema.xml

%files devel
%{_includedir}/devhelp-3/
%{_libdir}/libdevhelp-3.so
%{_libdir}/pkgconfig/*
%{_datadir}/doc/devhelp-3/
%{_datadir}/gir-1.0/Devhelp-3.0.gir

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:43.0-2
- Rebuild for remove inappropriate build dependencies.

* Sun Mar 26 2023 Funda Wang <fundawang@yeah.net> - 1:43.0-1
- Import package for anolis 23
